﻿// ////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Author: Synactive, Inc. [1065 E. Hillsdale Blvd, Foster City, CA, 94404, USA]
// Email: support@guixt.com; sales@guixt.com;
// Contact: 650.341.3310
// Version: 1.0.0.0
// ////////////////////////////////////////////////////////////////////////////////////////////////////////////
del("F[Material]");
del("F[Change Number]");
del("G[Copy from...]");
pos("F[Industry sector]", [4,58]);
pos("F[Material Type]", [5,58]);
box([2,45], [27,108], "");
box([7,47], [11,107], "Organizational Data");
radiobutton([8,49], "Plant 1000",{ "name":"z_mm01_plant", "value":1000});
radiobutton([8,69], "Plant 2000",{ "name":"z_mm01_plant", "value":2000});
radiobutton([8,89], "Plant 3000",{ "name":"z_mm01_plant", "value":3000});
inputfield( [10,49], "Stor.Loc", [10,60],{ "name":"z_mm01_storloc", "size":4, "required":true, "searchhelp":"H_T001L"});
box([13,47], [18,107], "Basic Data");
inputfield( [15,50], "Desc.", [15,60],{ "name":"z_mm01_desc", "size":32});
inputfield( [16,50], "BUOM", [16,60],{ "name":"z_mm01_buom", "size":2, "techname":"MARA-MEINS"});
inputfield( [17,50], "Mat grp", [17,60],{ "name":"z_mm01_matgrp", "size":7});
box([19,47], [23,107], "MRP Data");
inputfield( [21,50], "Mrp type", [21,61],{ "name":"z_mm01_mrptype", "size":5});
checkbox([24,49], "Bulk Material",{ "name":"z_mm01_blkmat"});
pushbutton([26,68], "@2L@Create Material   ",{ "process":mm01_create});
pushbutton([TOOLBAR],"List of materials","?",{"process":mb51_list_materials});

function mb51_list_materials(){
	onscreen 'SAPLMGMM.0060'
		mm01_screen();
		set("V[z_mm01_flag]", "X");
		enter("/oMB51");
}
// Screen design should be loaded in a  function
function mm01_screen(){	
	del("F[Material]");
	del("F[Change Number]");
	del("G[Copy from...]");
	pos("F[Industry sector]", [4,58]);
	pos("F[Material Type]", [5,58]);
	box([2,45], [27,108], "");
	box([7,47], [11,107], "Organizational Data");
	radiobutton([8,49], "Plant 1000",{ "name":"z_mm01_plant", "value":1000});
	radiobutton([8,69], "Plant 2000",{ "name":"z_mm01_plant", "value":2000});
	radiobutton([8,89], "Plant 3000",{ "name":"z_mm01_plant", "value":3000});
	inputfield( [10,49], "Stor.Loc", [10,60],{ "name":"z_mm01_storloc", "size":4, "required":true, "searchhelp":"H_T001L"});
	box([13,47], [18,107], "Basic Data");
	inputfield( [15,50], "Desc.", [15,60],{ "name":"z_mm01_desc", "size":32});
	inputfield( [16,50], "BUOM", [16,60],{ "name":"z_mm01_buom", "size":2, "techname":"MARA-MEINS"});
	inputfield( [17,50], "Mat grp", [17,60],{ "name":"z_mm01_matgrp", "size":7});
	box([19,47], [23,107], "MRP Data");
	inputfield( [21,50], "Mrp type", [21,61],{ "name":"z_mm01_mrptype", "size":5});
	checkbox([24,49], "Bulk Material",{ "name":"z_mm01_blkmat"});
	pushbutton([26,68], "@2L@Create Material   ",{ "process":mm01_create});
	pushbutton([TOOLBAR],"List of materials","?",{"process":mb51_list_materials});
}


function mm01_create(){

set("V[z_mm01_error]", "");
println('\n-----z_mm01_storloc='+z_mm01_storloc+'--');
if(isBlank(z_mm01_storloc)){
	return("E:Storage location is required");
}
// Create Material (Initial Screen)
onscreen 'SAPLMGMM.0060'
enter('/5');

// Create Material (Initial Screen)
onscreen 'SAPLMGMM.0070'
set('cell[TABLE,0,1]', 'X');
set('cell[TABLE,0,4]', 'X');
set('cell[TABLE,0,6]', 'X');
set('cell[TABLE,0,12]', 'X');
set('cell[TABLE,0,13]', 'X');
set('cell[TABLE,0,14]', 'X');
enter('/6');

// Create Material (Initial Screen)
onscreen 'SAPLMGMM.0080'
set('F[Plant]', '&V[z_mm01_plant]');
set('F[Stor. Location]', '&V[z_mm01_storloc]');
set('F[Sales Org.]', '1000');
set('F[Distr. Channel]', '10');
enter();

// Create Material (Initial Screen)
onscreen 'SAPMSDYP.0010'
set("V[z_mm01_error]", "&F[MESSTXT1]");
println('----error on popup screen='+z_mm01_error);
enter();

// Create Material (Initial Screen)
onscreen 'SAPLMGMM.0080'
println('----cancelling th popup');
enter('/12');

onscreen 'SAPLMGMM.0060'
println('----back to mm01');
if(!isBlank(z_mm01_error)){
	message("E:"+z_mm01_error);
	enter('/nmm01');
	goto SCRIPT_END;
}
enter();

// Create Material 95808 (Finished product)
onscreen 'SAPLMGMM.4004'
set('F[MAKT-MAKTX]', '&V[z_mm01_desc]');
set('F[Base Unit of Measure]', '&V[z_mm01_buom]');
set('F[Material Group]', '&V[z_mm01_matgrp]');
enter('=SP04');
onerror
println('--\n\n----error message='+_message);
message(_message);
enter('/nmm01');
goto SCRIPT_END;

// Create Material 95808 (Finished product)
onscreen 'SAPLMGMM.4000'
set('cell[TABLE,Tax classification,1]', '1');
set('cell[TABLE,Tax classification,2]', '1');
enter('=SP06');

// Create Material 95808 (Finished product)
onscreen 'SAPLMGMM.4000'
set('F[Trans. Grp]', '0001');
set('F[LoadingGrp]', '0002');
enter('=SP12');

// Create Material 95808 (Finished product)
onscreen 'SAPLMGMM.4000'
set('F[MRP Type]', '&V[z_mm01_mrptype]');
enter('=SP13');

// Create Material 95808 (Finished product)
onscreen 'SAPLMGMM.4000'
set('F[SchedMargin key]', '000');
set('C[Bulk Material]', '&V[z_mm01_blkmat]');
enter('=SP14');

// Create Material 95808 (Finished product)
onscreen 'SAPLMGMM.4000'
set('F[Availability check]', '01');
set("V[z_*]", "");
enter('/11');
SCRIPT_END:;
}
